<?php
namespace DaReactions\Plugins;
use DaReactions\Frontend;
use DaReactions\Options;
class BBPress {
	/**
	 * @var string $options_group
	 * The name of the group for saved options
	 *
	 * @since 3.7.0
	 */
	private $options;
	/**
	 * BBPress constructor.
	 *
	 * @since 3.7.0
	 */
	public function __construct() {
		$this->options = Options::getInstance( 'general' );
	}
	public function dddButtonsToTopicOrReply( $content ) {
		global $post;
		if ( ! $post ) {
			return false;
		}
		$general_options = Options::getInstance( 'general' );
		$enabled = $general_options->getOption( 'bbp_' . $post->post_type . '_enabled' ) === 'on';
		if ( ! $enabled ) {
			return $content;
		}
		$item_type = $post->post_type;
		$item_id   = $post->ID;
		$append    = Frontend::getButtonsPlaceholder( $item_type, $item_id );
		return $content . $append;
	}
}
